Name:           kazam
Version:        1.5.7
Release:        %mkrel 3
Summary:        A screencasting program created with design in mind
License:        GPLv3+ and LGPLv3+
Group:          Video/Utilities
# https://launchpad.net/kazam
URL:            https://github.com/henrywoo/kazam
Source0:        https://github.com/henrywoo/kazam/archiche/v%{version}/%{name}-%{version}.tar.gz
# Upstream
#
# Mageia
Patch50:        0001-Fallback-to-Mageia-9.patch
Patch51:        0001-Desktop-file-drop-unity.patch
Patch52:        0001-Port-to-Ayatana-AppIndicator.patch
Patch53:        0001-Do-not-use-hiq-python.patch
Patch54:        0001-Build-desktop-application.patch

BuildRequires:  intltool
BuildRequires:  python3-distutils-extra
BuildRequires:  python3-distro
Requires:       python3-cairo
Requires:       python3-dbus
Requires:       python3-gobject3
Requires:       python3-pyxdg
BuildArch:      noarch

Requires:       gstreamer1.0-pulse

%description
Kazam is a simple screen recording program that will capture the content of
your screen and record a video file that can be played by any video player
that supports VP8/WebM video format.

Optionally you can record sound from any sound input device that is supported
and visible by PulseAudio.

%prep
%autosetup -p1

sed -i s,"DISTRO = '.*'","DISTRO = '%{_vendor}'",g kazam/version.py
sed -i s,"RELEASE = '.*'","RELEASE = '%{product_version}'",g kazam/version.py

%build
%py3_build

%install
%{__python3} setup.py install --root=%{buildroot}

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS README.rst
%license COPYING*
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/gnome/scalable/apps/%{name}*.svg
%{_iconsdir}/hicolor/*/*/%{name}*.png
%{python3_sitelib}/%{name}/
%{python3_sitelib}/%{name}-%{version}-py%{python3_version}.egg-info


%changelog
* Fri Mar 07 2025 daviddavid <daviddavid> 1.5.7-3.mga10
+ Revision: 2161658
- rebuild for python 3.13

* Thu Dec 28 2023 tv <tv> 1.5.7-2.mga10
+ Revision: 2023351
- Rebuild for python-3.12

* Wed Aug 30 2023 daviddavid <daviddavid> 1.5.7-1.mga10
+ Revision: 1981123
- new version: 1.5.7 (from new project at https://github.com/henrywoo/kazam)

* Thu Mar 24 2022 umeabot <umeabot> 1.4.5-18.mga9
+ Revision: 1824778
- Mageia 9 Mass Rebuild

* Mon Feb 14 2022 tv <tv> 1.4.5-17.mga9
+ Revision: 1775083
- Rebuild for python-3.10

* Sat Mar 20 2021 tv <tv> 1.4.5-16.mga9
+ Revision: 1705570
- rebuild for python-3.9.2

* Sat Mar 20 2021 daviddavid <daviddavid> 1.4.5-15.mga9
+ Revision: 1705551
- rebuild for python 3.9

* Fri Feb 19 2021 daviddavid <daviddavid> 1.4.5-14.mga8
+ Revision: 1675621
- add missing dependency on gstreamer1.0-pulse (thanks to maat)

* Fri Feb 19 2021 daviddavid <daviddavid> 1.4.5-13.mga8
+ Revision: 1675606
- add debian patch to use time.perf_counter() instead of time.clock() to
  fix errors with Python 3.8
  * https://bugs.launchpad.net/kazam/+bug/1875530/
- fix some more PyGIWarning

* Thu Aug 06 2020 wally <wally> 1.4.5-12.mga8
+ Revision: 1611497
- port to Ayatana AppIndicator

* Sun Mar 22 2020 wally <wally> 1.4.5-11.mga8
+ Revision: 1558924
- add a patch to replace deprecated platform.linux_distribution()
- fix distro name in kazam/version.py

* Sun Mar 22 2020 wally <wally> 1.4.5-10.mga8
+ Revision: 1558884
- replace P1 with a patch from upstream PR to fix error when starting the app (mga#26370)

* Sun Feb 16 2020 umeabot <umeabot> 1.4.5-9.mga8
+ Revision: 1532702
- Mageia 8 Mass Rebuild

* Tue Sep 17 2019 daviddavid <daviddavid> 1.4.5-8.mga8
+ Revision: 1442754
- rebuild for python3.8

* Fri Jan 11 2019 daviddavid <daviddavid> 1.4.5-7.mga7
+ Revision: 1354847
- rebuild for new Python 3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.4.5-6.mga7
+ Revision: 1279178
- Mageia 7 Mass Rebuild

* Sat Aug 05 2017 pterjan <pterjan> 1.4.5-5.mga7
+ Revision: 1135242
- Rebuild for python 3.6

* Mon Sep 12 2016 daviddavid <daviddavid> 1.4.5-4.mga6
+ Revision: 1051617
- add patch from debian to fix a configparser api changes (fixes mga#19334)
- add another patch to fix some PyGIWarning specifying first a version

* Fri Feb 19 2016 umeabot <umeabot> 1.4.5-3.mga6
+ Revision: 970719
- Mageia 6 Mass Rebuild

* Thu Oct 08 2015 daviddavid <daviddavid> 1.4.5-2.mga6
+ Revision: 887773
- rebuild for python 3.5
- use new python3 macros

* Sat Jul 11 2015 akien <akien> 1.4.5-1.mga6
+ Revision: 853311
- Also drop keywords from desktop file as some translations are invalid
- Drop Unity-specific stuff from desktop file
- imported package kazam

